﻿/* Tidsfordeling, Fordeling dialoger, Bærere og Konto dialoger
i Bilagskontroll -> Bilagsbehandling og 
i Attestasjon -> Bokføringsdetaljer */

/* Tidsfordeling dialog */
.timeDistributionContainer {
    padding: 10px;
}

.timeDistributionContainer .header {
    float: left;
    width: 100%;
    margin-top: -25px;
}

.timeDistributionContainer h2 {
    float: left;
    margin: 0;
}

.timeDistributionContainer .header .ddinfomarker {
    float: left;
    margin: 3px 0 0 10px;
    height: 23px;
    width: 23px;
}

.timeDistributionSelection {
    float: left;
    width: 100%;
    margin-bottom: 20px;
}

.timeDistributionSelection .ddExplanationGray {
    float: left;
    margin-top: 45px;
}

.timeDistributionPickersContainer {
    float: left;
    width: 100%;
}

.timeDistributionDatepickers {
    opacity: 0;
    display: none;
}

.timeDistributionDatePickerContainer {
    float: left;
    margin-right: 30px;
}

.timeDistributionDatePickerContainer:last-child {
    margin-right: 0;
}

#timeDistributionDatePickerHelper,
#timeDistributionMonthPickerFromHelper {
    float: left;
}

#timeDistributionMonthPickerFromHelper .k-animation-container,
#timeDistributionMonthPickerToHelper .k-animation-container,
#timeDistributionDatePickerHelper .k-animation-container {
    float: left;
    position: relative !important;
    top: 0 !important;
    left: 0 !important;
}

#timeDistributionMonthPickerFromHelper .k-animation-container .k-calendar .k-calendar-view,
#timeDistributionMonthPickerToHelper .k-animation-container .k-calendar .k-calendar-view {
    height: 204px !important;
}

.timedistributionInfoGroup {
    float: left;
    width: 100%;
}

.timedistributionInfoGroup a.previewLink {
    float: left;
    width: 100%;
    margin: 20px 0 10px 0;
    font-weight: normal;
}

.timedistributionInfoGroup .previewGrid {
    float: left;
    width: 100%;
}

.timedistributionInfoGroup .previewGrid .k-grid-content {
    max-height: 300px;
}

.timeDistributionContainer .ddButtonContainer {
    float: left;
    width: 100%;
    margin: 20px 0;
}

.timeDistributionContainer .ddButtonContainer button {
    float: left;
    margin-right: 10px;
}

.timeDistributionContainer .ddButtonContainer a {
    float: left;
    margin-top: 5px;
}
/* Slutt: Tidsfordeling dialog */

/* Tidsfordeling lagre som mal dialog */
/* Fordeling lagre som mal dialog */
.timeDistributionTemplateContainer {
    padding: 10px 10px 0 20px;
}

.timeDistributionTemplateContainer .header {
    float: left;
    width: 100%;
    margin-top: -25px;
}

.timeDistributionTemplateContainer h2 {
    float: left;
    margin: 0;
}

.timeDistributionTemplateContainer .header .ddinfomarker {
    float: left;
    margin: 3px 0 0 10px;
    height: 23px;
    width: 23px;
}

.timeDistributionTemplateSelection .ddExplanationGray {
    float: left;
    margin-top: 10px;
}

.timeDistributionTemplateInfoGroup {
    float: left;
    width: 100%;
}

.timeDistributionTemplateContainer .ddButtonContainer {
    float: left;
    width: 100%;
    margin: 30px 0 20px 0;
}

.timeDistributionTemplateContainer .ddButtonContainer button {
    float: left;
    margin-right: 10px;
}

.timeDistributionTemplateContainer .ddButtonContainer a {
    float: left;
    margin-top: 5px;
}

.timeDistributionRed {
    color: red;
    margin-top: 50px;
}
/* Slutt: Tidsfordeling lagre som mal dialog */

/* Fordeling dialog */
.voucherprocessing .distributionContainer .k-grid td {
    border-width: 0 0 1px 1px;
}

/* Varsler kolonne x 2 for å skille på events*/
.voucherProcessingGridWarning, .voucherDistributionGridWarning {
    background-image: url(../img/Exclamation.svg);
    background-repeat: no-repeat;
    width: 20px;
    height: 20px;
    display: inline-block;
}

td.voucherProcessingValueError {
    border: 2px dashed #ac3030 !important;
}

td.voucherProcessingValueWarning {
    border: 2px dashed #db9e24 !important;
}

.distributionContainer {
    padding: 10px;
}

.distributionContainer .header {
    float: left;
    width: 100%;
    margin-top: -25px;
}

.distributionContainer h2 {
    float: left;
    margin: 0;
}

.distributionContainer .header .ddinfomarker {
    float: left;
    margin: 3px 0 0 10px;
    height: 23px;
    width: 23px;
}

.distributionSelection {
    float: left;
    width: 100%;
    margin-bottom: 20px;
}

.distributionSelection .ddExplanationGray {
    float: left;
    margin-top: 45px;
}

.distributionContainer #ddColumnMenu_VoucherDistributionGrid {
    margin-bottom: 10px;
}

.distributionContainer .ddButtonContainer {
    float: left;
    width: 100%;
    margin: 20px 0;
}

.distributionContainer .ddButtonContainer button {
    float: left;
    margin-right: 10px;
}

.distributionContainer .ddButtonContainer a {
    float: left;
    margin-top: 5px;
}

.infoVideoIconDistribution {
    background-image: url(../../../shared/content/img/Video_ikon.svg);
    background-repeat: no-repeat;
    width: 24px;
    height: 24px;
    float: left;
    cursor: pointer;
    margin: 3px 0 0 8px;
}
/* Slutt: Fordeling dialog */

/* Fordeling lagre som mal dialog */
.distributionTemplateContainer {
    padding: 10px 10px 0 20px;
}

.distributionTemplateContainer .header {
    float: left;
    width: 100%;
    margin-top: -25px;
}

.distributionTemplateContainer h2 {
    float: left;
    margin: 0;
}

.distributionTemplateContainer .header .ddinfomarker {
    float: left;
    margin: 3px 0 0 10px;
    height: 23px;
    width: 23px;
}

.distributionTemplateSelection {
    float: left;
    width: 100%;
}

.distributionTemplateSelection .ddExplanationGray {
    float: left;
    margin-top: 10px;
}

.distributionTemplateInfoGroup {
    float: left;
    width: 100%;
}

.distributionTemplateContainer .ddButtonContainer {
    float: left;
    width: 100%;
    margin: 30px 0 20px 0;
}

.distributionTemplateContainer .ddButtonContainer button {
    float: left;
    margin-right: 10px;
}

.distributionTemplateContainer .ddButtonContainer a {
    float: left;
    margin-top: 5px;
}
/* Slutt: Fordeling lagre som mal dialog */

/* Dialog for å legge på bærere i Attestasjon og i Bilagsbehandling */
.bookingInfoCarriersContainer {
    padding: 20px;
    float: left;
}

.bookingInfoCarriersContainer h2{
    margin-top:-35px;
}

.bookingInfoCarriersContent{
    float:left;
    width:100%;
    margin:20px 0;
}

.bookingInfoCarriersContent .bookingInfoShowCarriersContainer{
    width:260px;
    margin:10px 0;
}

.bookingInfoCarriersContent .ddShowColumns{
    margin-bottom:5px;
    float:left;
}

.bookingInfoCarriersContent .ddReportViewerColumns{
    width:unset;
}

.bookingInfoCarriersContent .ddReportViewerColumns .k-treeview span.k-in{
    width:180px;
}

.bookingInfoCarriersContainer .overwrite{
    float: left;
    width: 100%;
    margin-top: 20px;
}

.bookingInfoCarriersContainer .overwrite .text{
    float:left;
    margin:-3px 0 0 5px;
    width:90%;
}

.bookingInfoCarriersContainer .overwrite .k-checkbox{
    float:left;
}

.bookingInfoCarriersContainer .ddButtonContainer{
    float:left;
    width:100%;
}

.bookingInfoCarriersContainer .ddButtonContainer button{
    float:left;
    margin-right:15px;
}

.bookingInfoCarriersContainer .ddButtonContainer a{
    float:left;
    margin-top:5px;
}

.bookingInfoCarriersContainer .ddLinkMenu a {
    color: transparent;
}

.bookingInfoCarriersContainer .ddLinkMenu a:after{
    content:'Velg bærere som skal vises...';
    color:#0e3a2e;
    margin-left:-94px;
    z-index:2;
    text-decoration:underline;
}
/* Slutt: Dialog for å legge på bærere i Attestasjon og i Bilagsbehandling */

/* Dialog for å legge på kontoer i Attestasjon og Bilagsbehandling */
.bookingInfoAccountsContainer {
    padding: 15px;
    float: left;
}

.bookingInfoAccountsContainer h2 {
    margin-top: -30px;
}

.bookingInfoAccountsContainer .bookingInfoShowAccountsContainer{
    float:left;
    width:100%;
}

.bookingInfoAccountsContainer .overwrite{
    float: left;
    width: 100%;
    margin-top: 20px;
}

.bookingInfoAccountsContainer .overwrite .text{
    float:left;
    margin:-3px 0 0 5px;
    width:90%;
}

.bookingInfoAccountsContainer .overwrite .k-checkbox{
    float:left;
}

.bookingInfoAccountsContainer .ddButtonContainer {
    float: left;
    width: 100%;
    margin-top: 20px;
}

.bookingInfoAccountsContainer .ddButtonContainer button{
    float:left;
    margin-right:15px;
}

.bookingInfoAccountsContainer .ddButtonContainer a{
    float:left;
    margin-top:5px;
}
/* Slutt: Dialog for å legge på kontoer i Attestasjon og Bilagsbehandling */
